%define compatv 72
%{?compatv:%define compatfv 7.2}

%define _phplib %{_libdir}/php%{?compatv}
%define _extdir %{_phplib}/extensions

Summary: xdebug extension for php %{?compatfv}
Summary(ko): php %{?compatfv} xdebug 확장
Name: php%{?compatv}-pecl-xdebug
Version: 2.6.1
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: http://pecl.php.net/get/xdebug-%{version}.tgz

BuildRoot: /var/tmp/%{name}-root
Requires: php%{?compatv}api
BuildRequires: php%{?compatv}-devel autoconf automake libtool gcc make
Provides: php%{?compatv}-xdebug
Provides: php%{?compatv}-pecl(xdebug) = %{version}

%description
Xdebug extension for php

%prep
%setup -q -n xdebug-%{version}

%build

/usr/bin/phpize%{?compatv}

CFLAGS="${RPM_OPT_FLAGS}" \
./configure

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/xdebug.so %{buildroot}%{_extdir}/xdebug.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{%{!?compatv:apache},cli,fpm}
for i in %{!?compatv:apache} cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php%{?compatv}.d/$i/xdebug.ini <<EOF
zend_extension = %{_extdir}/xdebug.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/xdebug.so
%{!?compatv:%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/apache/xdebug.ini}
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/cli/xdebug.ini
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/xdebug.ini

%changelog
* Fri Jan 11 2019 JoungKyun.Kim <hostmaster@oops.org> 1:2.6.1-1%{?dist}
- update 2.6.1
  http://pecl.php.net/package-changelog.php?package=xdebug&release=2.6.1

* Sat Feb 10 2018 JoungKyun.Kim <hostmaster@oops.org> 1:2.6.0-1%{?dist}
- update 2.6.0
  http://pecl.php.net/package-changelog.php?package=xdebug&release=2.6.0

* Fri Dec 16 2016 JoungKyun.Kim <hostmaster@oops.org> 1:2.5.0-1%{?dist}
- update 2.5.0
  http://pecl.php.net/package-changelog.php?package=xdebug&release=2.5.0

* Sat Jan  9 2016 JoungKyun.Kim <hostmaster@oops.org> 1:2.4.0-1%{?dist}
- update 2.4.0RC3 for PHP7

* Tue Nov 10 2015 JoungKyun.Kim <hostmaster@oops.org> 1:2.3.3-1%{?dist}
- update 2.3.3

* Wed Jan  7 2015 JoungKyun.Kim <hostmaster@oops.org> 0:2.2.6-1%{?dist}
- update 2.2.6

* Tue Jan 21 2014 JoungKyun.Kim <hostmaster@oops.org> 0:2.2.3-1%{?dist}
- fixed call zend_extention from extension

* Wed Apr 24 2013 JoungKyun.Kim <hostmaster@oops.org> 0:2.2.2-2%{?dist}
- fixed call zend_extention from extension

* Sun Apr 14 2013 JoungKyun.Kim <hostmaster@oops.org> 0:2.2.2-1%{?dist}
- init

